=head1 NAME

Goo::Canvas::Table - wrapper for GooCanvasTable

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Group
            +----Goo::Canvas::Table



=cut

=head1 INTERFACES

  Goo::Canvas::Item



=cut


=head1 METHODS

=head2 item = Goo::Canvas::Table-E<gt>B<new> ($parent, ...)

=over

=item * $parent (Goo::Canvas::Item) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'column-spacing' (double : default 0 : readable / writable)

The default space between columns

=item 'homogeneous-columns' (boolean : default false : readable / writable)

If all columns are the same width

=item 'homogeneous-rows' (boolean : default false : readable / writable)

If all rows are the same height

=item 'horz-grid-line-width' (double : default 0 : readable / writable)

The width of the grid line to draw between rows

=item 'row-spacing' (double : default 0 : readable / writable)

The default space between rows

=item 'vert-grid-line-width' (double : default 0 : readable / writable)

The width of the grid line to draw between columns

=item 'x-border-spacing' (double : default 0 : readable / writable)

The amount of spacing between the lefmost and rightmost cells and the border grid line

=item 'y-border-spacing' (double : default 0 : readable / writable)

The amount of spacing between the topmost and bottommost cells and the border grid line

=back



=cut


=head1 SEE ALSO

L<Glib::Object>, L<Goo::Canvas::ItemSimple>, L<Goo::Canvas::Group>


=cut


=head1 COPYRIGHT


Copyright (C) 2017 Gtk2-Perl Team




=cut

